#include <stdio.h>

int main(void) {
    int arr[] = {10, 20, 30, 40, 50}; // Declarar un arreglo de enteros
    int *ptr = arr;                   // Un puntero que apunta al primer elemento del arreglo
    int size = sizeof(arr) / sizeof(arr[0]); // Calcular el tamaño del arreglo

    // 1. Recorrer el arreglo usando el puntero
    printf("Elementos del arreglo:\n");
    for (int i = 0; i < size; i++) {
        printf("Elemento %d: %d\n", i, *(ptr + i)); // Acceder al elemento usando aritmética de punteros
    }

    // 2. Modificar los elementos del arreglo usando el puntero
    for (int i = 0; i < size; i++) {
        *(ptr + i) += 5; // Incrementar cada elemento en 5
    }

    // 3. Mostrar el arreglo modificado
    printf("\nArreglo modificado:\n");
    for (int i = 0; i < size; i++) {
        printf("Elemento %d: %d\n", i, *(ptr + i));
    }

    return 0;
}
